package com.shixing.sxedit.delegate;

import com.shixing.sxedit.SXTextAnimationEffect;

import java.util.List;

public interface SXTextAnimationDelegate {
    /**
     * 添加文字动画
     *
     * @param textAnimationPath 动画资源路径
     * @param index, 位置, -1 表示追加到末尾
     * @return 文字动画对象，失败时返回null
     */
    SXTextAnimationEffect addTextAnimation(String textAnimationPath, int index);

    /**
     * 通过复制添加文字动画
     *
     * @param effect, 文字动画对象
     * @param index, 位置, -1 表示追加到末尾
     * @return 文字动画对象，失败时返回null
     */
    SXTextAnimationEffect addTextAnimationByCopy(SXTextAnimationEffect effect, int index);

    /**
     * 删除文字动画
     *
     * @param textAnimationId 文字动画ID
     * @return 删除成功返回true，否则返回false
     */
    boolean removeTextAnimation(String textAnimationId);

    /**
     * 根据 id 获取文字动画
     *
     * @param textAnimationId 文字动画ID
     * @return SXTextAnimationEffect
     * */
    SXTextAnimationEffect getTextAnimation(String textAnimationId);

    /**
     * 获取文字动画的数量
     *
     * @return int
     * */
    int getNumTextAnimations();

    /**
     * 获取当前对象所有应用的文字动画对象
     *
     * @return 文字动画对象List集合
     */
    List<SXTextAnimationEffect> getTextAnimations();
}